Skip to main content
Docs

Search guides and API endpoints, for example “Idempotency-Key” or “submit job”.

    API reference

    Molecular properties

    Compute molecular properties from SMILES

    POST/api/v1/describe

    API key or token

    Request body

    application/json · DescribeRequest

    Request fields
    FieldTypeDescription
    smiles[]requiredstring[]

    Limits: min items 1, max items 20

    Example request

    curl -X POST "https://api.cognichem.com/api/v1/describe" \
      -H "X-Api-Key: $COGNICHEM_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "smiles": [
        "CC(=O)Oc1ccccc1C(=O)O"
      ]
    }'

    Responses

    Successful Response · application/json · DescribeResponse

    Response fields
    FieldTypeDescription
    items[]requiredDescription[]
    items.errorstring | null

    One of: "unparseable", "too_large", "describe_failed"

    items.propertiesMolecularProperties | null
    items.properties.alertsrequiredStructuralAlerts
    items.properties.alerts.brenk[]requiredstring[]
    items.properties.alerts.pains[]requiredstring[]
    items.properties.aromatic_ringsrequiredinteger
    items.properties.clogprequirednumber
    items.properties.formal_chargerequiredinteger
    items.properties.formularequiredstring
    items.properties.hbarequiredinteger
    items.properties.hbdrequiredinteger
    items.properties.heavy_atomsrequiredinteger
    items.properties.lipinskirequiredRuleCheck
    items.properties.lipinski.passrequiredboolean
    items.properties.lipinski.violations[]requiredstring[]
    items.properties.monoisotopic_massrequirednumber
    items.properties.msMassSpecHints | null
    items.properties.ms.adducts[]requiredMsAdduct[]
    items.properties.ms.isotopes[]requiredIsotopePeak[]
    items.properties.mwrequirednumber
    items.properties.qednumber | null
    items.properties.rotatable_bondsrequiredinteger
    items.properties.tpsarequirednumber
    items.properties.veberrequiredRuleCheck
    items.properties.veber.passrequiredboolean
    items.properties.veber.violations[]requiredstring[]
    Example 200 response
    {
      "items": [
        {
          "properties": {
            "alerts": {
              "brenk": [
                "phenol_ester"
              ],
              "pains": []
            },
            "aromatic_rings": 1,
            "clogp": 1.31,
            "formal_charge": 0,
            "formula": "C9H8O4",
            "hba": 3,
            "hbd": 1,
            "heavy_atoms": 13,
            "lipinski": {
              "pass": true,
              "violations": []
            },
            "monoisotopic_mass": 180.0423,
            "mw": 180.159,
            "qed": 0.55,
            "rotatable_bonds": 2,
            "tpsa": 63.6,
            "veber": {
              "pass": true,
              "violations": []
            }
          }
        },
        {
          "error": "unparseable"
        }
      ]
    }